#ifndef LOWQAFILE__H
#define LOWQAFILE__H

#include "qstring.h"
#include "qasciidict.h"
#include "qdom.h"
#include "TH1.h"

class LowQAFile
{   
    protected:
    QString *fileName;
    QAsciiDict<int> status;
    QDomElement fName;
    QDomElement *hName;
    int nHistograms;
    
    int calcNearestPrime(int n);
    
    public:
    enum FileStatus
    {
	GOOD,
	WARN,
	BAD
    };    
    
    LowQAFile(const QString &fName);
    ~LowQAFile(void);  
    
    QString *getFileName(void){return fileName;};
    int getStatus(const QString name);
    QDomNode getStatusXml(QDomDocument *doc);
    void readHistStatus(QDomNode &node);
    TH1 *getQAHistogram(QString *name, QString *path, bool check = FALSE);
    void getMeanValue(QString *name, QString *path, float *mean, float *err);
    void getMeanValueTrend(QString *name, QString *path, float *mean, float *err);
    void scanHists(void);
    void scanFile(int *n);
    
    bool updateHistogramStatus(const QString name, int status, bool force=false);
    void print(void);
};

#endif
